Magento released the new Magento 2 version 2.3.2 yesterday. The Magento 2 preinstall on Hypernode has been updated to this new version. The new preinstalled version when you order a Hypernode will now be 2.3.2.

If you want to try out this new Magento version with the official sample data (the Luma demo shop) check out this Magento 2 sample data repository on github.

To install the sample data in your empty Magento 2.3.2 shop you can:

  • git clone the magento2-sample-data
  • check out the 2.3.2 revision
  • build the sample data like:

  • link the sample data in your shop:

  • deploy the sample data: /data/web/magento2/bin/magento setup:upgrade

If you get an error like:

Make sure that you’re running the the latest PHP version 7.2.19 which contains a version of libsodium of at least 1.0.13 (we run 1.0.17 right now).

You can check your current PHP version with:

Note that you might need to restart php-fpm to make sure your website is also running the new version (and not just the cli):